package com.steerinfo.dil.feign;

import com.steerinfo.framework.controller.RESTfulResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Map;

/**
 * @ author    :TXF
 * @ time      :2021/10/8 19:07
 */


@FeignClient(value = "DIL-DAZHOU-API-DEV", url = "${openfeign.DaZhouFeign.url}")
public interface DaZhouFeign {

    @GetMapping("/api/v1/uc/getSteelOrderNum")
    RESTfulResult getSteelOrderNum();


}
