package com.steerinfo.dil.feign;

import com.steerinfo.framework.controller.RESTfulResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@FeignClient(value = "DIL-LARGESCREEN-DEV",url = "${openfeign.LargeScreen.url}")
public interface LargeScreenFeign {
    @PostMapping("api/v1/largeScreen/largescreenshow/showLargeScreenForSteelNew")
    @ResponseBody
    public RESTfulResult showLargeScreenForSteelNew(@RequestBody(required = false) List<Map<String,Object>> cars);

    @PostMapping("api/v1/largeScreen/largescreenshow/showLargeScreenNew")
    @ResponseBody
    public RESTfulResult showLargeScreenNew(@RequestBody(required = false)List<Map<String,Object>> cars);

    @PostMapping("api/v1/largeScreen/largescreenshow/showLargeScreenForSteelNew1")
    @ResponseBody
    public RESTfulResult showLargeScreenForSteelNew1(@RequestBody(required = false) List<Map<String,Object>> cars);

    @PostMapping("api/v1/largeScreen/largescreenshow/showLargeScreenNew1")
    @ResponseBody
    public RESTfulResult showLargeScreenNew1(@RequestBody(required = false) List<Map<String,Object>> cars);

}
