package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.QmsModelUnrooled;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface QmsModelUnrooledMapper extends IBaseMapper<QmsModelUnrooled, BigDecimal> {

    //获取新增主键id
    BigDecimal selectMaxId();

    //查询所有规格
    List<Map<String,Object>> getAllModel(Map<String,Object> map);

    //查询所有未轧规格
    List<Map<String, Object>> getAllModelUnrolled(Map<String, Object> map);

    //根据运力id查询当前订单是否存在未轧规格
    Map<String,Object> existUnrolled(Map<String,Object> map);
}