package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.QmsQueueSpellingList;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface QmsQueueSpellingListMapper extends IBaseMapper<QmsQueueSpellingList, BigDecimal> {

    //查询最大主键
    @Select("select SEQ_QUEUE_SPELLING_LIST.nextval from dual")
    BigDecimal selectMaxId();

    //删除多拼排序队列
    Integer deleteByQueueResultId(BigDecimal queueResultId);

    int updateListEnFactory(Map<String, Object> mesMap);

    Integer existsCapacity(Object capacityId);

    int updateOOMLoadWarehouse(Map<String, Object> mesMap);



}