package com.steerinfo.dil.util;

import java.math.BigDecimal;




public class ElectronicFenceUtils {



    public static  boolean isInRange(int raduis, BigDecimal lat, BigDecimal lng, BigDecimal lat1, BigDecimal lng1){
        double R = 6378137.0;
        double dLat = (lat1.doubleValue() - lat.doubleValue()) * Math.PI / 180;
        double dLng = (lng1.doubleValue() - lng.doubleValue()) * Math.PI / 180;
        double a = Math.sin(dLat / 2) * Math.sin(dLat / 2) + Math.cos(lat.doubleValue() * Math.PI / 180) * Math.cos(lat1.doubleValue() * Math.PI / 180) * Math.sin(dLng / 2) * Math.sin(dLng / 2);
        double c = 2 * Math.atan2(Math.sqrt(a), Math.sqrt(1 - a));
        double d = R * c;
        double dis = Math.round(d);
        if (dis <= raduis){  //点在圆内
            return true;
        }else {
            return false;
        }
    }


}
